<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.cool.store.mapper.decoration.DecorationTeamConfigMapper">
  <resultMap id="BaseResultMap" type="com.cool.store.entity.decoration.DecorationTeamConfigDO">
    <!--
      WARNING - @mbg.generated
    -->
    <id column="id" jdbcType="BIGINT" property="id" />
    <result column="team_name" jdbcType="VARCHAR" property="teamName" />
    <result column="team_code" jdbcType="VARCHAR" property="teamCode" />
    <result column="use_system" jdbcType="TINYINT" property="useSystem" />
    <result column="create_time" jdbcType="TIMESTAMP" property="createTime" />
    <result column="update_time" jdbcType="TIMESTAMP" property="updateTime" />
    <result column="deleted" jdbcType="TINYINT" property="deleted" />
  </resultMap>

  <select id="listByCondition" resultType="com.cool.store.dto.decoration.DecorationTeamDTO">
    select
      t.id,
      t.team_name,
      t.team_code,
      t.use_system
    from
    zxjp_decoration_team_config t
    where t.deleted = 0
  </select>
</mapper>